//
//  OrderViewController.m
//  AdaPayDemo
//
//  Created by willwang on 2019/8/1.
//  Copyright © 2019 com.huifu. All rights reserved.
//

#import "OrderViewController.h"
#import "UIColor+Extension.h"
#import "AFNetworking.h"
#import "HUD.h"
#import <AdaPay/AdaPay.h>
#import "PayResultViewController.h"
#import "TradeModel.h"
@interface OrderViewController ()<AdaPayDelegate>
@property (weak, nonatomic) IBOutlet UIView *bottomView;
@property(nonatomic, strong)NSString * amount;

@end

@implementation OrderViewController
{
//    支付方式
    NSString *payType;
    NSString *appid;
}
- (void)viewDidLoad {
    [super viewDidLoad];
    self.title = @"订单支付";
    self.bottomView.layer.borderWidth = 1;
    self.bottomView.layer.borderColor = HEX_RGB(@"F2F2F2").CGColor;
    self.amount = @"0.01";
    payType = @"alipay";
    // Do any additional setup after loading the view.
}
- (IBAction)payOrder:(id)sender {
    
    appid = @"app_7d87c043-aae3-4357-9b2c-269349a980d6";
    
    NSMutableDictionary * dict = [[NSMutableDictionary alloc]initWithDictionary:@{
                                                                                  @"pay_amt":self.amount,
                                                                                  @"app_id":appid,
                                                                                  @"goods_title":@"测试商品",
                                                                                  @"goods_desc":@"商品描述",
                                                                                  @"pay_channel":payType
                                                                                  }];
    
    
    [TradeModel createCharge:dict callback:^(NSString * _Nonnull payInfo) {
        
        AdaPay *adaPay = [AdaPay shareInstance];
        adaPay.queryTimeout = 180;
        adaPay.delegate = self;
        adaPay.scheme = @"alipaydemo";
        [adaPay doPay:payInfo];
    }];
    
}
- (IBAction)weichatType:(id)sender {
    popError(@"暂不支持，敬请期待");
    return;
//    payType = @"wx";
    
}



-(void)handlePayResult:(NSString *)result_code orderInfo:(NSDictionary *)order_info{
    
    //    resultCode 交易结果码
    NSLog(@"resultCode,,,,,,%@",result_code);
    //    订单信息 payInfo
    NSLog(@"payInfo,,,,,,%@",order_info);
    
    PayResultViewController *resultView = [[PayResultViewController alloc]init];
    resultView.order_info = order_info;
    resultView.error_code = result_code;
    resultView.pay_type = payType;
    resultView.amount = self.amount;
    
    [self.navigationController pushViewController:resultView animated:YES];
}



/*
#pragma mark - Navigation

// In a storyboard-based application, you will often want to do a little preparation before navigation
- (void)prepareForSegue:(UIStoryboardSegue *)segue sender:(id)sender {
    // Get the new view controller using [segue destinationViewController].
    // Pass the selected object to the new view controller.
}
*/

@end
