//
//  ViewController.m
//  AdaPayDemo
//
//  Created by willwang on 2019/7/16.
//  Copyright © 2019 com.huifu. All rights reserved.
//

#import "ViewController.h"
#import "QRCodeViewController.h"

#import "AFNetworking.h"
#import "PayResultViewController.h"
#import <CommonCrypto/CommonHMAC.h>
#import <AdaPay/AdaPay.h>

#define App_id @""

@interface ViewController ()<AdaPayDelegate>

@property (weak, nonatomic) IBOutlet UIButton *qrCodePay;

@property (weak, nonatomic) IBOutlet UIButton *debugBtn;
@property (weak, nonatomic) IBOutlet UIButton *appPay;
@property (weak, nonatomic) IBOutlet UIButton *scanQR;
@property (weak, nonatomic) IBOutlet UITextView *descText;

@end

@implementation ViewController
{
    
}

-(void)viewWillAppear:(BOOL)animated{
    [super viewWillAppear:animated];
    [UIApplication sharedApplication].statusBarStyle = UIStatusBarStyleLightContent;
    self.navigationController.navigationBar.hidden = YES;
}

-(void)viewWillDisappear:(BOOL)animated{
    [super viewWillDisappear:animated];
    [UIApplication sharedApplication].statusBarStyle = UIStatusBarStyleDefault;
    self.navigationController.navigationBar.hidden = NO;
    
}

- (void)viewDidLoad {
    [super viewDidLoad];
    
    UIBarButtonItem *item =  [[UIBarButtonItem alloc] init];
    item.title = @"";
    self.navigationItem.backBarButtonItem = item;
    self.descText.text = @"    Adapay 是提供一站式支付解决方案的平台，帮助客户快速集成主流支付渠道，以数字化服务保障支付过程的安全畅通，同时提供可选的标准化的增值服务模块，不断迭代升级为客户创造增值假值。\n\n    您负责制定伟大的商业计划，Adapay 为您提供全新的支付体验。";
    
    UITapGestureRecognizer *tap = [[UITapGestureRecognizer alloc]initWithTarget:self action:@selector(keyboardDown)];
    [self.view addGestureRecognizer:tap];
    
    self.title = @"AdaPay Demo";
    CGFloat radius = 5;
    
    self.scanQR.layer.cornerRadius = radius;
    self.scanQR.clipsToBounds = YES;
    
    self.debugBtn.layer.cornerRadius = radius;
    self.debugBtn.clipsToBounds = YES;
    
    self.qrCodePay.layer.cornerRadius = radius;
    self.qrCodePay.clipsToBounds = YES;
    [self.qrCodePay setTitle:@"扫码支付" forState:UIControlStateNormal];
    
    self.appPay.layer.cornerRadius = radius;
    self.appPay.clipsToBounds = YES;
    
    [self.appPay setTitle:@"App支付" forState:UIControlStateNormal];
    
    
    // Do any additional setup after loading the view.
}

-(void)keyboardDown{
//    [self.view resignFirstResponder];
    [self.view endEditing:YES];
}



-(void)handlePayResult:(NSString *)result_code orderInfo:(NSDictionary *)order_info{
    
    //    resultCode 交易结果码
    NSLog(@"resultCode,,,,,,%@",result_code);
    //    订单信息 payInfo
    NSLog(@"payInfo,,,,,,%@",order_info);
    
    PayResultViewController *resultView = [[PayResultViewController alloc]init];
    resultView.order_info = order_info;
    
    [self.navigationController pushViewController:resultView animated:YES];
    
}

@end
