//
//  TradeModel.m
//  AdaPayDemo
//
//  Created by willwang on 2019/8/8.
//  Copyright © 2019 com.huifu. All rights reserved.
//

#import "TradeModel.h"
#import "HUD.h"
#import "AFNetworking.h"
#import "JSON.h"
#import "SafeValueUtil.h"
@implementation TradeModel


+(void)createCharge:(NSDictionary *)params callback:(void (^)(NSString * _Nonnull))callback{
    
    
    [self doPost:params url:@"v1/payment/create" callback:^(NSDictionary * data) {
        if (data) {
            NSString *str = [data objectForKey:@"payment"];
            NSDictionary *payment = [str objectFromJSONString];
            NSString *payment_id = [payment objectForKey:@"id"];
            [[NSUserDefaults standardUserDefaults] setObject:payment_id forKey:@"payment_id"];
            
            callback(str);
        }else{
            popError(@"下单失败");
        }
    }];
    
}


+(void)doPost:(NSDictionary *)params url:(NSString *)url callback:(void (^)(NSDictionary *))callback{
    
    NSString *hostUrl = [[NSUserDefaults standardUserDefaults]objectForKey: @"host_url"];
    if (!hostUrl) {
        hostUrl = @"https://adapay-test-python.cloudpnr.com/api/";
    }
    hostUrl = [NSString stringWithFormat:@"%@v1/payment/create",hostUrl];
    NSMutableDictionary *requestParam = [[NSMutableDictionary alloc]initWithDictionary:params];
    //拼接参数
    
    NSString *liveMode = [[NSUserDefaults standardUserDefaults]objectForKey: @"livemode"];
    liveMode = liveMode?liveMode:@"1";
    
    [requestParam setObject:@"1" forKey:@"env"];
    [requestParam setObject:liveMode forKey:@"livemode"];
     
    popWaiting();
    
    AFHTTPSessionManager* manager = [AFHTTPSessionManager manager];
    manager.responseSerializer.acceptableContentTypes = [manager.responseSerializer.acceptableContentTypes setByAddingObjectsFromSet:[NSSet setWithArray:@[@"application/json"]]];
    manager.requestSerializer = [AFJSONRequestSerializer serializer];
    manager.responseSerializer = [AFJSONResponseSerializer serializer];
    NSLog(@"post....hostUrl%@",hostUrl);
    NSLog(@"post....params%@",requestParam);
    //发起请求
    [manager POST:hostUrl parameters:requestParam progress:nil success:^(NSURLSessionDataTask * _Nonnull task, id  _Nullable responseObject) {
        dismissWaiting();
        NSLog(@"获取结果=%@", responseObject);
        NSDictionary *dict = (NSDictionary *)responseObject;
        
        callback(dict);
        
    } failure:^(NSURLSessionDataTask * _Nullable task, NSError * _Nonnull error) {
        NSLog(@"失败errorCode%ld,,,userInfo...%@",(long)error.code, error.userInfo);
        dismissWaiting();
        NSData *receiveData =error.userInfo[@"com.alamofire.serialization.response.error.data"];
        NSString *receiveStr = [[NSString alloc]initWithData:receiveData encoding:NSUTF8StringEncoding];
        NSData * data = [receiveStr dataUsingEncoding:NSUTF8StringEncoding];
        NSDictionary *jsonDict = [NSJSONSerialization JSONObjectWithData:data options:NSJSONReadingMutableLeaves error:nil];
        
        callback(nil);
    }];
}






@end
