//
//  AmountViewController.m
//  AdaPayDemo
//
//  Created by willwang on 2019/8/2.
//  Copyright © 2019 com.huifu. All rights reserved.
//

#import "AmountViewController.h"
#import "QRCodeViewController.h"
@interface AmountViewController ()<UITextFieldDelegate>
@property (weak, nonatomic) IBOutlet UITextField *amoutTextField;
@property (weak, nonatomic) IBOutlet UIButton *nextBtn;


@end

@implementation AmountViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    self.amoutTextField.delegate = self;
    UIBarButtonItem *item =  [[UIBarButtonItem alloc] init];
    item.title = @"";
    self.navigationItem.backBarButtonItem = item;
    self.title = @"二维码收款";
    self.nextBtn.layer.cornerRadius = 5;
    self.nextBtn.clipsToBounds = YES;
    
    UITapGestureRecognizer *tap = [[UITapGestureRecognizer alloc]initWithTarget:self action:@selector(keyboardDown)];
    [self.view addGestureRecognizer:tap];
    // Do any additional setup after loading the view.
}

-(void)keyboardDown{
    //    [self.view resignFirstResponder];
    [self.view endEditing:YES];
}


- (IBAction)nextStep:(id)sender {
    
    UIStoryboard *story=[UIStoryboard storyboardWithName:@"Main" bundle:nil];
    QRCodeViewController *qrcode=[story instantiateViewControllerWithIdentifier:@"qrcodevc"];
    NSString *amount = [NSString stringWithFormat:@"%0.2f",[self.amoutTextField.text doubleValue]];
    
    qrcode.amount = amount;
    [self.navigationController pushViewController:qrcode animated:YES];
}

- (BOOL)textField:(UITextField *)textField shouldChangeCharactersInRange:(NSRange)range replacementString:(NSString *)string{
    
    BOOL isHaveDian = YES;
    if ([string isEqualToString:@" "]) {
        return NO;
    }
    
    if ([textField.text rangeOfString:@"."].location == NSNotFound) {
        isHaveDian = NO;
    }
    if ([string length] > 0) {
        
        unichar single = [string characterAtIndex:0];//当前输入的字符
        if ((single >= '0' && single <= '9') || single == '.') {
            //数据格式正确
            if([textField.text length] == 0){
                if(single == '.') {
                    
                    [textField.text stringByReplacingCharactersInRange:range withString:@""];
                    return NO;
                }
            }
            
            //输入的字符是否是小数点
            if (single == '.') {
                if(!isHaveDian) {
                    //text中还没有小数点
                    isHaveDian = YES;
                    return YES;
                    
                }else{
                    
                    [textField.text stringByReplacingCharactersInRange:range withString:@""];
                    return NO;
                }
            }else{
                //存在小数点
                if (isHaveDian) {
                    
                    //判断小数点的位数
                    NSRange ran = [textField.text rangeOfString:@"."];
                    if (range.location - ran.location <= 2) {
                        return YES;
                    }else{
                        
                        return NO;
                    }
                }else{
                    return YES;
                }
            }
        }else{
            //输入的数据格式不正确
            
            [textField.text stringByReplacingCharactersInRange:range withString:@""];
            return NO;
        }
    }
    else
    {
        return YES;
    }
    
    return YES;
}

/*
#pragma mark - Navigation

// In a storyboard-based application, you will often want to do a little preparation before navigation
- (void)prepareForSegue:(UIStoryboardSegue *)segue sender:(id)sender {
    // Get the new view controller using [segue destinationViewController].
    // Pass the selected object to the new view controller.
}
*/

@end
