//
//  DebugViewController.m
//  AdaPayDemo
//
//  Created by willwang on 2019/8/17.
//  Copyright © 2019 com.huifu. All rights reserved.
//

#import "DebugViewController.h"
#import "ScanViewController.h"
#import "CPGlobalDefine.h"
#import "SafeValueUtil.h"
#import "PayResultViewController.h"
#import "HUD.h"
#import <AdaPay/AdaPay.h>
#import "JSON.h"
#import "TestQRCodeViewController.h"
@interface DebugViewController ()<AdaPayDelegate>

@property (weak, nonatomic) IBOutlet UITextView *paymentInfoText;
@property (weak, nonatomic) IBOutlet UIButton *scanBtn;
@property (weak, nonatomic) IBOutlet UIButton *payBtn;

@end

@implementation DebugViewController
{
    NSString *payType;
    NSString *amount;
    
    
}
- (void)viewDidLoad {
    [super viewDidLoad];
    
    self.title = @"自助联调";
    
    
    self.scanBtn.layer.cornerRadius = 5;
    self.scanBtn.clipsToBounds = YES;
    
    
    self.payBtn.layer.cornerRadius = 5;
    self.payBtn.clipsToBounds = YES;
    
    UITapGestureRecognizer *tap = [[UITapGestureRecognizer alloc]initWithTarget:self action:@selector(keyboardDown)];
    [self.view addGestureRecognizer:tap];
    
    
    
    // Do any additional setup after loading the view.
}

-(void)keyboardDown{
    
    [self.view endEditing:YES];
    
}
- (IBAction)doPay:(id)sender {
    
    if (IsStrEmpty(self.paymentInfoText.text)) {
        popError(@"payment 内容不能为空");
        return;
    }
    NSString *paymentStr = self.paymentInfoText.text;
    
    NSDictionary *dict = [paymentStr objectFromJSONString];
    
    if (!dict) {
        popError(@"格式不正确");
        return;
    }
    payType = EncodeStringFromDic(dict, @"pay_channel");
    amount = EncodeStringFromDic(dict, @"pay_amt");
    if ([payType isEqualToString:@"wx_qr"]||[payType isEqualToString:@"alipay_qr"]) {
        
        TestQRCodeViewController *qrVC = [[TestQRCodeViewController alloc]init];
        qrVC.paymentStr = paymentStr;
        [self.navigationController pushViewController:qrVC animated:YES];
        
    }else{
        [AdaPay shareInstance].delegate = self;
        [AdaPay shareInstance].queryTimeout = 100;
        [[AdaPay shareInstance]doPay:paymentStr];
        
    }
    
}



- (IBAction)scanQRCode:(id)sender {
    
    ScanViewController *scan = [[ScanViewController alloc]init];
    scan.hasScan = ^(NSString * _Nonnull codeInfo) {
        self.paymentInfoText.text = codeInfo;
    };
    
    [self.navigationController pushViewController:scan animated:YES];
}


#pragma mark 交易结果回调

-(void)handlePayResult:(NSString *)result_code orderInfo:(NSDictionary *)order_info{
    
    //    resultCode 交易结果码
    NSLog(@"resultCode,,,,,,%@",result_code);
    //    订单信息 payInfo
    NSLog(@"payInfo,,,,,,%@",order_info);
    
    PayResultViewController *resultView = [[PayResultViewController alloc]init];
    resultView.order_info = order_info;
    resultView.error_code = result_code;
    resultView.pay_type = payType;
    resultView.amount = amount;
    
    [self.navigationController pushViewController:resultView animated:YES];
}


/*
#pragma mark - Navigation

// In a storyboard-based application, you will often want to do a little preparation before navigation
- (void)prepareForSegue:(UIStoryboardSegue *)segue sender:(id)sender {
    // Get the new view controller using [segue destinationViewController].
    // Pass the selected object to the new view controller.
}
*/

@end
