//
//  PayResultViewController.m
//  AdaPayDemo
//
//  Created by willwang on 2019/7/18.
//  Copyright © 2019 com.huifu. All rights reserved.
//

#import "PayResultViewController.h"
#import "UIColor+Extension.h"
@interface PayResultViewController ()
@property (weak, nonatomic) IBOutlet UIButton *completeBtn;
@property (weak, nonatomic) IBOutlet UILabel *orderStatus;
@property (weak, nonatomic) IBOutlet UILabel *amountLabel;
@property (weak, nonatomic) IBOutlet UILabel *orderTime;
@property (weak, nonatomic) IBOutlet UILabel *orderId;
@property (weak, nonatomic) IBOutlet UILabel *payType;

@property (weak, nonatomic) IBOutlet UILabel *resposeLabel;

@property (weak, nonatomic) IBOutlet UITextView *respContentText;

@end

@implementation PayResultViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    
    if ([_error_code isEqualToString:@"0000"]) {
//        支付成功
        self.orderStatus.text = @"支付成功";
        self.orderTime.text = [self.order_info objectForKey:@"created"];
        self.orderId.text = [self.order_info objectForKey:@"id"];
        self.statusIcon.image = [UIImage imageNamed:@"success.png"];
        
    }else if([_error_code isEqualToString:@"0010"]){
        self.orderStatus.text = @"支付超时";
        self.resposeLabel.hidden = NO;
        self.respContentText.hidden = NO;
        self.respContentText.text = [NSString stringWithFormat:@"%@",self.order_info];
        
    }else if ([_error_code isEqualToString:@"0013"]){
        self.orderStatus.text = @"支付取消";
    }else{
        
        self.resposeLabel.hidden = NO;
        self.respContentText.hidden = NO;
        self.respContentText.text = [NSString stringWithFormat:@"%@",self.order_info];
        
        
        self.orderStatus.text = [self.order_info objectForKey:@"result_message"];;
    }
    
    self.navigationItem.hidesBackButton = YES;
    UIButton *rightBtn = [[UIButton alloc]initWithFrame:CGRectMake(0, 0, 40, 40)];
    [rightBtn setTitle:@"完成" forState:UIControlStateNormal];
    [rightBtn setTitleColor:HEX_RGB(@"#1296db") forState:UIControlStateNormal];
//    [rightBtn setBackgroundColor:[UIColor brownColor]];
    [rightBtn addTarget:self action:@selector(done) forControlEvents:UIControlEventTouchUpInside];
    
    UIBarButtonItem *rightBtnItem = [[UIBarButtonItem alloc]initWithCustomView:rightBtn];
    self.navigationItem.rightBarButtonItem = rightBtnItem;
    
    self.amountLabel.text =[NSString stringWithFormat:@"￥%@元",self.amount];
    self.title = @"支付结果";
    self.completeBtn.layer.cornerRadius = 5;
    self.completeBtn.clipsToBounds = YES;
    if ([_pay_type isEqualToString:@"alipay_qr"]) {
        self.payType.text = @"支付宝二维码";
    }else if([_pay_type isEqualToString:@"alipay"]){
        self.payType.text = @"支付宝";
    }else if([_pay_type isEqualToString:@"wx_qr"]){
        self.payType.text = @"微信二维码";
    }else if([_pay_type isEqualToString:@"wx"]){
        self.payType.text = @"微信";
    }
    
    self.orderTime.text = [self.order_info objectForKey:@"created"];
    self.orderId.text = [self.order_info objectForKey:@"order_no"];
    
    
    
    // Do any additional setup after loading the view from its nib.
}

-(void)done{
    [self.navigationController popToRootViewControllerAnimated:YES];
}

- (IBAction)completeBtnPressed:(id)sender {
    
    [self.navigationController popToRootViewControllerAnimated:YES];
    
}

/*
#pragma mark - Navigation

// In a storyboard-based application, you will often want to do a little preparation before navigation
- (void)prepareForSegue:(UIStoryboardSegue *)segue sender:(id)sender {
    // Get the new view controller using [segue destinationViewController].
    // Pass the selected object to the new view controller.
}
*/

@end
