//
//  QRCodeViewController.m
//  AdaPayDemo
//
//  Created by willwang on 2019/7/18.
//  Copyright © 2019 com.huifu. All rights reserved.
//

#import "QRCodeViewController.h"
#import "TradeModel.h"
#import <CoreImage/CoreImage.h>
#import "PayResultViewController.h"
#import "HUD.h"
#import "AFNetworking.h"
#import "UIColor+Extension.h"
#import "SafeValueUtil.h"
#import "JSON.h"
#import "AdapayUtils.h"

@interface QRCodeViewController ()<AdaPayDelegate>
@property (weak, nonatomic) IBOutlet UIButton *alipayBtn;
@property (weak, nonatomic) IBOutlet UIButton *wechatPayBtn;
@property (weak, nonatomic) IBOutlet UILabel *tipsLabel;


@property (weak, nonatomic) IBOutlet UIButton *doneBtn;
@property (weak, nonatomic) IBOutlet UIView *alipayBtmLine;
@property (weak, nonatomic) IBOutlet UIView *wechatpayBtmLine;

@property (weak, nonatomic) IBOutlet UIImageView *qrCodeImg;

@property (weak, nonatomic) IBOutlet UIView *bgView;
@property (weak, nonatomic) IBOutlet UILabel *amountLabel;

@end

@implementation QRCodeViewController
{
    UIImage *aliQRCodeImage;
    UIImage *wechatQRCodeImage;
    NSString *appid;
    NSString *payType;
    
}
- (void)viewDidLoad {
    [super viewDidLoad];
    
    self.title = @"收款";
    self.bgView.layer.cornerRadius = 5;
    self.bgView.clipsToBounds = YES;
    
    
    self.tipsLabel.text = [NSString stringWithFormat:@"请打开支付宝扫一扫，向我付钱"];
    payType = @"alipay_qr";
    self.amountLabel.text = [NSString stringWithFormat:@"￥%@",self.amount];
    [self alipayBtnPressed:nil];
    
//    UIImage *qrcodeImage = [self generateQRCode:self. qrcodeStr width:400 height:400];
    
    // Do any additional setup after loading the view from its nib.
}

- (IBAction)alipayBtnPressed:(id)sender {
    self.tipsLabel.text = [NSString stringWithFormat:@"请打开支付宝扫一扫，向我付钱"];
    self.alipayBtmLine.hidden = NO;
    self.wechatpayBtmLine.hidden = YES;
    [self.alipayBtn setTitleColor:HEX_RGB(@"#1296db") forState:UIControlStateNormal];
    [self.wechatPayBtn setTitleColor:[UIColor darkGrayColor] forState:UIControlStateNormal];
    
    payType = @"alipay_qr";
    [self showQRCodeImage];
}
- (IBAction)wechatPayPressed:(id)sender {
    self.tipsLabel.text = [NSString stringWithFormat:@"请打开微信扫一扫，向我付钱"];
    self.alipayBtmLine.hidden = YES;
    self.wechatpayBtmLine.hidden = NO;
    [self.wechatPayBtn setTitleColor:HEX_RGB(@"#1296db") forState:UIControlStateNormal];
    [self.alipayBtn setTitleColor:[UIColor darkGrayColor] forState:UIControlStateNormal];
    
    payType = @"wx_qr";
    
    [self showQRCodeImage];
}

-(void)showQRCodeImage{
    
    
    appid = @"app_7d87c043-aae3-4357-9b2c-269349a980d6";
    
    NSMutableDictionary * dict = [[NSMutableDictionary alloc]initWithDictionary:@{
                                                                                  @"pay_amt":self.amount,
                                                                                  @"app_id":appid,
                                                                                  @"goods_title":@"测试商品",
                                                                                  @"goods_desc":@"商品描述",
                                                                                  @"pay_channel":payType
                                                                                  }];
    
    
    
    
    [TradeModel createCharge:dict callback:^(NSString * _Nonnull payInfo) {
        
        NSString *qrCodeLink = [AdapayUtils getQrLink:payInfo];
        if ([qrCodeLink isEqualToString:@""]) {
            popError(@"二维码获取失败，请重试");
            self.qrCodeImg.image = nil;
            return ;
        }
        UIImage *qrcodeImage = [AdapayUtils generateQRCode:qrCodeLink width:500 height:500];
        
        if (qrcodeImage) {
            self.qrCodeImg.image = qrcodeImage;
            AdaPay *adaPay = [AdaPay shareInstance];
            adaPay.delegate = self;
            adaPay.queryTimeout = 180;
            [adaPay doPay:payInfo];
            
        }else{
            self.qrCodeImg.image = nil;
            popError(@"二维码生成失败，请重试");
        }
    }];
}





/*
#pragma mark - Navigation

// In a storyboard-based application, you will often want to do a little preparation before navigation
- (void)prepareForSegue:(UIStoryboardSegue *)segue sender:(id)sender {
    // Get the new view controller using [segue destinationViewController].
    // Pass the selected object to the new view controller.
}
*/
- (IBAction)complete:(id)sender {
    PayResultViewController *payResult  = [[PayResultViewController alloc]init];
    
    [self.navigationController pushViewController:payResult animated:YES];
    
}




#pragma mark 交易结果回调

-(void)handlePayResult:(NSString *)result_code orderInfo:(NSDictionary *)order_info{
    
    //    resultCode 交易结果码
    NSLog(@"resultCode,,,,,,%@",result_code);
    //    订单信息 payInfo
    NSLog(@"payInfo,,,,,,%@",order_info);
    
    PayResultViewController *resultView = [[PayResultViewController alloc]init];
    resultView.order_info = order_info;
    resultView.error_code = result_code;
    resultView.pay_type = payType;
    resultView.amount = self.amount;
    
    [self.navigationController pushViewController:resultView animated:YES];
    
    
}

@end
