//
//  ScanCodePayViewController.m
//  AdaPayDemo
//
//  Created by willwang on 2019/8/21.
//  Copyright © 2019 com.huifu. All rights reserved.
//

#import "ScanCodePayViewController.h"
#import "ScanViewController.h"
#import "TradeModel.h"
#import <AdaPay/AdaPay.h>
#import "PayResultViewController.h"
#import "HUD.h"
@interface ScanCodePayViewController ()<UITextFieldDelegate,AdaPayDelegate>

@property (weak, nonatomic) IBOutlet UISegmentedControl *paychannel;

@property (weak, nonatomic) IBOutlet UITextField *amountText;

@property (weak, nonatomic) IBOutlet UIButton *nextTap;

@end

@implementation ScanCodePayViewController
{
    
    NSString *payChannel;
}
- (void)viewDidLoad {
    [super viewDidLoad];
    UIBarButtonItem *item =  [[UIBarButtonItem alloc] init];
    item.title = @"";
    self.navigationItem.backBarButtonItem = item;
    
    self.title=@"扫码收款";
    
    self.view.backgroundColor = [UIColor whiteColor];
    self.nextTap.layer.cornerRadius = 5;
    self.nextTap.clipsToBounds = YES;
    
    self.amountText.delegate = self;
    UITapGestureRecognizer *tap = [[UITapGestureRecognizer alloc]initWithTarget:self action:@selector(keyboardDown)];
    [self.view addGestureRecognizer:tap];
    // Do any additional setup after loading the view.
}


-(void)keyboardDown{
    //    [self.view resignFirstResponder];
    [self.view endEditing:YES];
}


- (IBAction)gotoScan:(id)sender {
    
    ScanViewController *scan = [[ScanViewController alloc]init];
    scan.hasScan = ^(NSString * _Nonnull codeInfo) {
       
        [self gotoPay:codeInfo];
    };
    scan.title = @"扫描付款码";
    [self.navigationController pushViewController:scan animated:YES];
    
    
}

-(void)gotoPay:(NSString *)authCode{
    
    payChannel = @"wx_scan";
    if(self.paychannel.selectedSegmentIndex){
        payChannel = @"alipay_scan";
    }
    
    NSDictionary *dict = @{
                           @"expend":@{@"auth_code":authCode},
                           @"pay_amt":self.amountText.text,
                           @"pay_channel":payChannel
                           };
    
    [TradeModel createCharge:dict callback:^(NSString * _Nonnull payInfo) {
    
        popWaiting();
        AdaPay *adaPay = [AdaPay shareInstance];
        adaPay.queryTimeout = 180;
        adaPay.delegate = self;
        [adaPay doPay:payInfo];
        
    }];
    
    
}


-(void)handlePayResult:(NSString *)result_code orderInfo:(NSDictionary *)order_info{
    
    dismissWaiting();
    //    resultCode 交易结果码
    NSLog(@"resultCode,,,,,,%@",result_code);
    //    订单信息 payInfo
    NSLog(@"payInfo,,,,,,%@",order_info);
    
    PayResultViewController *resultView = [[PayResultViewController alloc]init];
    resultView.order_info = order_info;
    resultView.error_code = result_code;
    resultView.pay_type = payChannel;
    resultView.amount = self.amountText.text;
    
    [self.navigationController pushViewController:resultView animated:YES];
}


- (BOOL)textField:(UITextField *)textField shouldChangeCharactersInRange:(NSRange)range replacementString:(NSString *)string{
    
    BOOL isHaveDian = YES;
    if ([string isEqualToString:@" "]) {
        return NO;
    }
    
    if ([textField.text rangeOfString:@"."].location == NSNotFound) {
        isHaveDian = NO;
    }
    if ([string length] > 0) {
        
        unichar single = [string characterAtIndex:0];//当前输入的字符
        if ((single >= '0' && single <= '9') || single == '.') {
            //数据格式正确
            if([textField.text length] == 0){
                if(single == '.') {
                    
                    [textField.text stringByReplacingCharactersInRange:range withString:@""];
                    return NO;
                }
            }
            
            //输入的字符是否是小数点
            if (single == '.') {
                if(!isHaveDian) {
                    //text中还没有小数点
                    isHaveDian = YES;
                    return YES;
                    
                }else{
                    
                    [textField.text stringByReplacingCharactersInRange:range withString:@""];
                    return NO;
                }
            }else{
                //存在小数点
                if (isHaveDian) {
                    
                    //判断小数点的位数
                    NSRange ran = [textField.text rangeOfString:@"."];
                    if (range.location - ran.location <= 2) {
                        return YES;
                    }else{
                        
                        return NO;
                    }
                }else{
                    return YES;
                }
            }
        }else{
            //输入的数据格式不正确
            
            [textField.text stringByReplacingCharactersInRange:range withString:@""];
            return NO;
        }
    }
    else
    {
        return YES;
    }
    
    return YES;
}

/*
#pragma mark - Navigation

// In a storyboard-based application, you will often want to do a little preparation before navigation
- (void)prepareForSegue:(UIStoryboardSegue *)segue sender:(id)sender {
    // Get the new view controller using [segue destinationViewController].
    // Pass the selected object to the new view controller.
}
*/

@end
