//
//  TestQRCodeViewController.m
//  AdaPayDemo
//
//  Created by willwang on 2019/8/23.
//  Copyright © 2019 com.huifu. All rights reserved.
//

#import "TestQRCodeViewController.h"
#import "AdapayUtils.h"
#import "PayResultViewController.h"

#import <AdaPay/AdaPay.h>
#import "JSON.h"
@interface TestQRCodeViewController ()<AdaPayDelegate>
@property (weak, nonatomic) IBOutlet UILabel *tipsText;
@property (weak, nonatomic) IBOutlet UIImageView *qrCodeView;
@property (weak, nonatomic) IBOutlet UILabel *amountText;

@end

@implementation TestQRCodeViewController
{
    
    NSString *payType;
    NSString *amount;
    
}
- (void)viewDidLoad {
    [super viewDidLoad];
    
    NSDictionary *payment = [self.paymentStr objectFromJSONString];
    
    if (payment && [payment isKindOfClass:[NSDictionary class]]) {
        amount = [payment objectForKey:@"amount"];
    }
    
    self.amountText.text = [NSString stringWithFormat:@"%@元",amount];
    
    NSString *qrCodeLink = [AdapayUtils getQrLink:self.paymentStr];
    
    self.qrCodeView.image = [AdapayUtils generateQRCode:qrCodeLink width:500 height:500];
    
    if (self.qrCodeView.image) {
        [AdaPay shareInstance].delegate = self;
        [[AdaPay shareInstance] doPay:_paymentStr];
        
    }
    
    // Do any additional setup after loading the view from its nib.
}



-(void)handlePayResult:(NSString *)result_code orderInfo:(NSDictionary *)order_info{
    
    //    resultCode 交易结果码
    NSLog(@"resultCode,,,,,,%@",result_code);
    //    订单信息 payInfo
    NSLog(@"payInfo,,,,,,%@",order_info);
    
    PayResultViewController *resultView = [[PayResultViewController alloc]init];
    resultView.order_info = order_info;
    resultView.error_code = result_code;
    resultView.pay_type = payType;
    resultView.amount = amount;
    
    [self.navigationController pushViewController:resultView animated:YES];
    
    
}

/*
#pragma mark - Navigation

// In a storyboard-based application, you will often want to do a little preparation before navigation
- (void)prepareForSegue:(UIStoryboardSegue *)segue sender:(id)sender {
    // Get the new view controller using [segue destinationViewController].
    // Pass the selected object to the new view controller.
}
*/

@end
