//
//  AdapayUtils.m
//  AdaPayDemo
//
//  Created by willwang on 2019/8/23.
//  Copyright © 2019 com.huifu. All rights reserved.
//

#import "AdapayUtils.h"
#import "JSON.h"

@implementation AdapayUtils

+ (UIImage *)generateQRCode:(NSString *)code width:(CGFloat)width height:(CGFloat)height {
    
    
    CIImage *qrcodeImage;
    //  NSISOLatin1StringEncoding
    NSData *data = [code dataUsingEncoding:NSUTF8StringEncoding allowLossyConversion:false];
    
    //二维码滤镜
    CIFilter *filter = [CIFilter filterWithName:@"CIQRCodeGenerator"];
    
    //通过KVO设置滤镜inputmessage数据
    [filter setValue:data forKey:@"inputMessage"];
    [filter setValue:@"H" forKey:@"inputCorrectionLevel"];
    
    //获得滤镜输出的图像
    qrcodeImage = [filter outputImage];
    
    // 消除模糊
    CGFloat scaleX = width / qrcodeImage.extent.size.width; // extent 返回图片的frame
    CGFloat scaleY = height / qrcodeImage.extent.size.height;
    CIImage *transformedImage = [qrcodeImage imageByApplyingTransform:CGAffineTransformScale(CGAffineTransformIdentity, scaleX, scaleY)];
    
    return [UIImage imageWithCIImage:transformedImage];
}

+(NSString *)getQrLink:(NSString *)payInfo{
    
    NSDictionary *payment = [payInfo objectFromJSONString];
    
    if (payment && [payment isKindOfClass:[NSDictionary class]]) {
        NSDictionary *extra = [payment objectForKey:@"expend"];
        if (extra && [extra isKindOfClass:[NSDictionary class]]) {
            NSString * qrCode = [extra objectForKey:@"qrcode_url"];
            return qrCode;
        }
    }
    
    return @"";
    
}


@end
